from docme.components.utils import indent

from docme.builders.components.base_component import BaseComponent


class ToCTree(BaseComponent):
    def __init__(self, files, properties):
        super(ToCTree, self).__init__(doc=None)
        self.properties = properties
        self.files = files

    @property
    def props(self):
        string = "\n".join([":{key}: {value}".format(key=key, value=value)
                            for key, value in self.properties.items()])
        return string + "\n" if string else ""

    @property
    def content(self):
        return """\
.. toctree::
{properties}
{files}
""".format(properties=indent(self.props), files=indent("\n".join(self.files)))
